%define upstream_name    HTML-Tidy
%define upstream_version 1.60

Name:           perl-%{upstream_name}
Version:        %perl_convert_version %{upstream_version}
Release:        %mkrel 14
Summary:        Web validation in a Perl object
License:        GPL+ or Artistic
Group:          Development/Perl
Url:            https://metacpan.org/release/%{upstream_name}
Source0:        https://cpan.metacpan.org/modules/by-module/HTML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:  perl-devel
BuildRequires:  tidyp-devel
BuildRequires:  perl(Test::Builder)
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(XSLoader)
# optional tests
BuildRequires:  perl(Test::Pod)
BuildRequires:  perl(Test::Pod::Coverage)

%{?perl_default_filter}


%description
HTML::Tidy is an HTML checker in a handy dandy object. It's meant as a
replacement for HTML::Lint. If you're currently an HTML::Lint user looking to
migrate, see the section "Converting from HTML::Lint".

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%__make test

%install
%make_install

%files
%doc Changes README.markdown META.yml
%{perl_vendorarch}/HTML
%{perl_vendorarch}/auto/HTML
%{_mandir}/*/*
%{_bindir}/*


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 1.600.0-14.mga10
+ Revision: 2226563
- Mageia 10 Mass Rebuild

* Fri Aug 23 2024 tv <tv> 1.600.0-13.mga10
+ Revision: 2089020
- Rebuild for perl-5.40

* Fri Dec 01 2023 tv <tv> 1.600.0-12.mga10
+ Revision: 2012037
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 1.600.0-11.mga9
+ Revision: 1861938
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 1.600.0-10.mga9
+ Revision: 1795790
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 1.600.0-9.mga9
+ Revision: 1726716
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 1.600.0-8.mga8
+ Revision: 1594812
- Rebuild for perl 5.32

* Sat Feb 15 2020 umeabot <umeabot> 1.600.0-7.mga8
+ Revision: 1529030
- Mageia 8 Mass Rebuild

* Tue Aug 27 2019 tv <tv> 1.600.0-6.mga8
+ Revision: 1433006
- rebuild with perl-5.30

* Fri Sep 21 2018 umeabot <umeabot> 1.600.0-5.mga7
+ Revision: 1293185
- Mageia 7 Mass Rebuild

* Mon Aug 06 2018 shlomif <shlomif> 1.600.0-4.mga7
+ Revision: 1248348
- Rebuild for new perl 5.28.0

* Mon Oct 02 2017 tv <tv> 1.600.0-3.mga7
+ Revision: 1164830
- rebuild with fixed rpm for missing autodeps

* Wed Sep 13 2017 tv <tv> 1.600.0-2.mga7
+ Revision: 1153633
- add BRs for testsuite + default deps filter
+ shlomif <shlomif>
- New version 1.60

* Thu Aug 31 2017 pterjan <pterjan> 1.560.0-11.mga7
+ Revision: 1149760
- Rebuild for perl ABI changes
+ shlomif <shlomif>
- modernize spec

* Sat Jul 22 2017 neoclust <neoclust> 1.560.0-10.mga7
+ Revision: 1126671
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 1.560.0-9.mga6
+ Revision: 1028380
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 1.560.0-8.mga6
+ Revision: 957511
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 1.560.0-7.mga6
+ Revision: 844900
- rebuild for soname-ifed perl

* Tue Jun 23 2015 shlomif <shlomif> 1.560.0-6.mga6
+ Revision: 840621
- Rebuild for the new perl

* Wed Oct 15 2014 umeabot <umeabot> 1.560.0-5.mga5
+ Revision: 741049
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.560.0-4.mga5
+ Revision: 684978
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 1.560.0-3.mga5
+ Revision: 631260
- Rebuild for perl 5.20

* Mon Oct 21 2013 umeabot <umeabot> 1.560.0-2.mga4
+ Revision: 537510
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 sander85 <sander85> 1.560.0-1.mga4
+ Revision: 487182
- update to 1.56

* Wed May 29 2013 jquelin <jquelin> 1.540.0-6.mga4
+ Revision: 430734
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.540.0-5.mga3
+ Revision: 368161
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ shlomif <shlomif>
- Actually add the patch.
  From here: https://github.com/petdance/html-tidy/issues/7 .
- Add a patch to silence warnings.
- Removed trailing whitespace.

* Wed May 30 2012 jquelin <jquelin> 1.540.0-3.mga3
+ Revision: 250771
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 1.540.0-2.mga2
+ Revision: 104668
- Rebuild for perl 5.14

* Fri Jan 21 2011 jquelin <jquelin> 1.540.0-1.mga1
+ Revision: 30513
- mageia rebuild
- imported package perl-HTML-Tidy


* Mon Nov 29 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.540.0-1mdv2011.0
+ Revision: 603026
- new version

* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 1.80.0-3mdv2011.0
+ Revision: 555960
- rebuild for perl 5.12

* Sun Sep 13 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.80.0-2mdv2010.0
+ Revision: 438665
- fix segfault (RT patch)

* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 1.80.0-1mdv2010.0
+ Revision: 403263
- rebuild using %%perl_convert_version

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 1.08-4mdv2009.0
+ Revision: 257234
- rebuild

* Mon Jan 14 2008 Pixel <pixel@mandriva.com> 1.08-2mdv2008.1
+ Revision: 151423
- rebuild for perl-5.10.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Jul 26 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.08-1mdv2008.0
+ Revision: 55651
- new version


* Wed Nov 29 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.06-1mdv2007.0
+ Revision: 88576
- Import perl-HTML-Tidy

* Sun Nov 26 2006 Guillaume Rousse <guillomovitch@zarb.org> 1.06-1plf2007.1
- first mdv release

